using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;
namespace digioz
{
    public class News
    {
        private int ciID;
        private string csPoster;
        private string csSubject;
        private string csDescription;
        private DateTime cdTimestamp;

	    public News()
	    {}
        [Index]
        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public string Poster
        {
            get { return csPoster; }
            set { csPoster = value; }
        }

        public string Subject
        {
            get { return csSubject; }
            set { csSubject = value; }
        }

        public string Description
        {
            get { return csDescription; }
            set { csDescription = value; }
        }

        public DateTime Timestamp
        {
            get { return cdTimestamp; }
            set { cdTimestamp = value; }
        }
    }

    public class NewsList : BindingList<News>
    {
        public NewsList()
        { }
    }
}

